Bug 806781 - master domain fail to regress to regular domain after storage pool destroyed
master domain fail to regress to regular domain after storage pool destroyed
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Royce Lv
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 04:34 EDT by Royce Lv
Modified: 2016-04-18 02:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: vdsm-4.9.6-0.44
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 03:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Royce Lv 2012-03-26 04:34:32 EDT
Description of problem:
master domain fail to regress to regular domain after storage pool destroyed

Version-Release number of selected component (if applicable):
vdsm-4.9.4-0.18

How reproducible:
often

Steps to Reproduce:
(1)create storage domain sd1
(2)create storage pool with md sd1
(3)destroy storage pool
(4)get sd1 info
  
Actual results:
storage domain's role is still master and it's pool is not cleared

Expected results:
storage domain's role regress to regular and it's pool should be cleared

Additional info:
 { "resource": "storagedomain",
   "id": "ae4d6a96-d3da-419c-8905-b5eec55c4500",
"href": "/vdsm-api/storagedomains/ae4d6a96-d3da-419c-8905-b5eec55c4500",
"name": "Test Domain",
"type": "LOCALFS",
"class": "Data",
"role": "Master",----------------------------------->wrong
"remotePath": "/storagedomain7",
"version": "0",
"master_ver": "1",
"lver": "0",
"spm_id": "1",
"storagepool": { "id": "1ef32ac7-1e12-4823-8e8c-8c887333fe50", "href": "/vdsm-api/storagepools/1ef32ac7-1e12-4823-8e8c-8c887333fe50" },------------------------------->wrong
"actions": {}

}
Comment 1 Royce Lv 2012-03-28 03:25:52 EDT
This bug found for:
vdsm-4.9.4-0.18

been fixed in vdsm-4.9.6-0.44

Note You need to log in before you can comment on or make changes to this bug.